net.i2p.client.impl

## Enum I2PSessionImpl.State

- java.lang.Object
- - java.lang.Enum<I2PSessionImpl.State>
  - - net.i2p.client.impl.I2PSessionImpl.State

- All Implemented Interfaces:
    Serializable, Comparable<I2PSessionImpl.State>
  Enclosing class:
    I2PSessionImpl

      protected static enum I2PSessionImpl.State
      extends Enum<I2PSessionImpl.State>

  Session state enumeration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSED`
    `CLOSING`
    `GOTDATE`
    `INIT`
    `OPEN`
    `OPENING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static I2PSessionImpl.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static I2PSessionImpl.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLOSED

          public static final I2PSessionImpl.State CLOSED

    - #### CLOSING

          public static final I2PSessionImpl.State CLOSING

    - #### GOTDATE

          public static final I2PSessionImpl.State GOTDATE

    - #### INIT

          public static final I2PSessionImpl.State INIT

    - #### OPEN

          public static final I2PSessionImpl.State OPEN

    - #### OPENING

          public static final I2PSessionImpl.State OPENING

  - ### Method Detail

    - #### valueOf

          public static I2PSessionImpl.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static I2PSessionImpl.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (I2PSessionImpl.State c : I2PSessionImpl.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared